Basque Cyber Security Centre - Zibersegurtasun Euskal Zentroa

Hainbat ahultasun IBMren Db2-n

Argitalpen data: 2018/09/21

Garrantzia: Handia

Kaltetutako baliabideak:

IBM Db2ren bertsio hauek:

  • V9.7.
  • V10.1.
  • V10.5.
  • V11.1.

Azalpena:

IBMk kritikotasun altuko 3 ahultasun aurkitu ditu Db2-n. Horien bitartez, erasotzaile lokal batek pribilegioen igoera lor lezake eta bufferraren gainezkatzea eragin kode arbitrarioa exekutatuz.

Db2ren beste ahultasun batzuk ere argitaratu ditu, kritikotasun ertain edo baxukoak. Erreferentzien atalean informazio gehiago aurki daiteke.

Konponbidea:

IBMk erabiltzaileen eskura jarri ditu ahultasunak konpontzen dituzten segurtasun eguneraketak, kaltetutako bertsio bakoitzaren arabera. Ondoko loturan eskura daitezke:

Fix Central

Xehetasuna:

  • db2licm tresnak duen bufferraren gainezkatze erako ahultasun batek kodea arbitrarioki exekutatzea ahalbidetu lezake. Ahultasun horretarako CVE-2018-1710 identifikatzailea erreserbatu da.
  • IBM Db2ren lan administratiboen planifikatzaileak duen ahultasun bat baliatuz, erabiltzaile lokal batek pribilegioak lor litzake, dauden lanen zutabeak aldatzen uzten baitu. Ahultasun horretarako CVE-2018-1711 identifikatzailea erreserbatu da.
  • Db2k erabiltzen duen IBM Spectrum Scale-ri eragiten dion GSKit-en ahultasun bat baliatuz, erasotzaile batek Spectrum Scale daemon-en kontrola har lezake, Spectrum Scales-en fitxategien sisteman fitxategietara sar liteke eta horiek aldatu, eta seguruenik nodoan administratzaile pribilegioak lortu. Ahultasun horretarako CVE-2018-1431 identifikatzailea erabili da.

Larritasun ertain edo baxuko ahultasunetarako honako identifikatzaileak erabili dira: CVE-2016-0705, CVE-2017-3732, CVE-2018-1447.

Etiketak: Eguneraketa, IBM, Ahultasuna